summaryrefslogtreecommitdiffstats
path: root/desktop/vinagre
diff options
context:
space:
mode:
author Lockywolf2023-05-18 23:17:50 +0200
committer Willy Sudiarto Raharjo2023-05-20 06:17:10 +0200
commit0b78d3df93c1198912c8a1177de1922ca1da8090 (patch)
tree4dc13020604fa82724db23d66270f6e07486f0ba /desktop/vinagre
parent212798f22053c0c6637a0546b96c9fa3b21ffcbf (diff)
downloadslackbuilds-0b78d3df93c1198912c8a1177de1922ca1da8090.tar.gz
desktop/vinagre: Added (remote desktop viewer for GNOME)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop/vinagre')
-rw-r--r--desktop/vinagre/README15
-rw-r--r--desktop/vinagre/doinst.sh16
-rw-r--r--desktop/vinagre/slack-desc19
-rw-r--r--desktop/vinagre/vinagre.SlackBuild117
-rw-r--r--desktop/vinagre/vinagre.info10
5 files changed, 177 insertions, 0 deletions
diff --git a/desktop/vinagre/README b/desktop/vinagre/README
new file mode 100644
index 0000000000..0a533865d0
--- /dev/null
+++ b/desktop/vinagre/README
@@ -0,0 +1,15 @@
+README is used to display a short description of the application and
+any additional instructions on how to build or use the package. You
+may list optional dependencies needed to enable additional features.
+
+Some common rules for the README file:
+- Maximum of 72 characters per line
+- Use 2-4 spaces for indentation, avoid TAB characters
+- Plain ASCII or Unicode (UTF-8) are preferred encodings.
+- Do not include the homepage URL
+- Additional notes before building:
+ * user/group creation along with correct UID/GID
+ * strict dependency build order if necessary
+ * conflicts with any stock Slackware packages
+
+If longer instructions are necessary, place them in a README.SBo file.
diff --git a/desktop/vinagre/doinst.sh b/desktop/vinagre/doinst.sh
new file mode 100644
index 0000000000..e924bab47c
--- /dev/null
+++ b/desktop/vinagre/doinst.sh
@@ -0,0 +1,16 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -e usr/share/glib-2.0/schemas ]; then
+ if [ -x /usr/bin/glib-compile-schemas ]; then
+ /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
+ fi
+fi
+
diff --git a/desktop/vinagre/slack-desc b/desktop/vinagre/slack-desc
new file mode 100644
index 0000000000..e3f948ba6d
--- /dev/null
+++ b/desktop/vinagre/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+vinagre: vinagre (remote desktop viewer for GNOME)
+vinagre:
+vinagre: It should be able to connect to VNC, RDP, or SPICE hosts.
+vinagre: Although it is claiming to be "for GNOME", but it seems to be working
+vinagre: without GNOME too.
+vinagre:
+vinagre:
+vinagre:
+vinagre:
+vinagre:
+vinagre:
diff --git a/desktop/vinagre/vinagre.SlackBuild b/desktop/vinagre/vinagre.SlackBuild
new file mode 100644
index 0000000000..3722b35d89
--- /dev/null
+++ b/desktop/vinagre/vinagre.SlackBuild
@@ -0,0 +1,117 @@
+#!/bin/bash
+
+# Slackware build script for vinagre
+
+# Copyright 2023 Lockywolf
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=vinagre
+VERSION=${VERSION:-3.22.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS -Wno-error=format-nonliteral" \
+ LDFLAGS="-Wl,--allow-multiple-definition" \
+ ./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux || exit 1
+
+make
+make install DESTDIR=$PKG
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README ChangeLog COPYING AUTHORS NEWS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/vinagre/vinagre.info b/desktop/vinagre/vinagre.info
new file mode 100644
index 0000000000..7dbdd26f42
--- /dev/null
+++ b/desktop/vinagre/vinagre.info
@@ -0,0 +1,10 @@
+PRGNAM="vinagre"
+VERSION="3.22.0"
+HOMEPAGE="https://wiki.gnome.org/Apps/Vinagre"
+DOWNLOAD="https://download.gnome.org/sources/vinagre/3.22/vinagre-3.22.0.tar.xz"
+MD5SUM="451554ddf46636105cd5f0330e98d254"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="gtk-vnc avahi telepathy-glib spice-gtk"
+MAINTAINER="Lockywolf"
+EMAIL="for_sbo.vinagre_2023-05-17@lockywolf.net"